Subject: bug#34181: guile-hall: no code for module (config)

From: Catonano <[email-masked]>
Date: Fri, 25 Jan 2019 17:34:48 +0100

Il giorno ven 25 gen 2019 alle ore 17:26 Ricardo Wurmus <[email-masked]>
ha scritto:

>
> Hi Jack,
>
> > On Wed, 23 Jan 2019, Alex Sassmannshausen wrote:
> >
> >> Hi Jack,
> >>
> >> Thanks for your bug report — this is super helpful to debug the
> >> guile-build-system in guix!
> >>
> >> Jack Hill writes:
> >>
> >>> The guile-hall package appears to be broken. All hall commands that I
> >>> run result in a "no code for module (config)" error.
> >>
> >> The Guile build system propagates installs of dependent
> >> modules. Guile-Hall depends on Guile-Config, and it looks like it is
> >> built fine as part of the built process.
> >>
> >> What I'm curious about is whether your search paths are set correctly?
> >>
> >> Would you mind trying the following commands:
> >> $ guile -c "(use-modules (config))"
> >> $ guile -c "(use-modules (hall clean))"
> >
> > Both of these end produce a backtrace that ends in "no code for module
> > (config)" or "… (hall clean)"
> >
> >> $ echo $GUILE_LOAD_PATH +++ $GUILE_LOAD_COMPILED_PATH
> >
> > /run/current-system/profile/share/guile/site/2.2 and
> > /run/current-system/profile/lib/guile/2.2/site-ccache
> >
> > So it looks like my environment variables aren't set correctly?
> >
> > Is this a user error on my part? I had hoped that guix environment
> > would set these if needed. I also tried installing guile-hall in my
> > profile, and a warning about needed vars didn't get printed nor where
> > they added to my profile's etc/profile.
>
> This is likely a problem with the guile-hall package.  It should wrap
> the executables in GUILE_LOAD_PATH and GUILE_LOAD_COMPILED_PATH.
>
> Would you like to send a patch to fix this?
>

I can't read all this properly right now as I'm in a hurry BUT

Not so long ago Alex accepted a merge request of mine into guile-hall and
it was about a dependency on guile-config that Alex had forgotten to
declare in his configure.ac file

It's here
https://gitlab.com/a-sassmannshausen/guile-hall/commit/bd698246b4a87cc96afc4e3752944f1fd6d24f6a

I think this might be related

Alex made some further integrations in guile-hall since then and he means
to release a new version soon

Alex ?